Brands
Autocomplete over the brand catalog to resolve chains and franchises, and fetch a single brand by key.
Brand autocomplete
Search the brand catalog (geo_brands) by name. Prefix matches rank above fuzzy matches, then by number of locations.
Query Parameters
qRequiredstringBrand name prefix / fuzzy query, e.g. "McDon".
limitstring | numberResponse Body
curl -X GET "https://example.com/brands?q=string&limit=string"fetch("https://example.com/brands?q=string&limit=string")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/brands?q=string&limit=string"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/brands?q=string&limit=string"
response = requests.request("GET", url)
print(response.text)Empty
Get a brand by key
Fetch a single brand from the catalog (canonical name, wikidata QID, location count, representative location).
Path Parameters
keyRequiredstringBrand key: a brand:wikidata QID (e.g. "Q38076") or "name:".
Response Body
curl -X GET "https://example.com/brands/string"fetch("https://example.com/brands/string")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/brands/string"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/brands/string"
response = requests.request("GET", url)
print(response.text)Empty